

#include "io/directry.h"
#include <iostream.h>


main (int argc, char* argv[])
{
    char* dirName = argc > 1 ? argv[1] : ".";
    CL_Directory dir (dirName);

    if (dir.IsValid()) {
        cout << "Full path name: '" << dir.FullPathName()
             << "'\nContents:\n";
        CL_StringSequence sq = dir.FileNames ();
        for (long i = 0; i < sq.Size(); i++)
            cout << "   '" << sq(i) << "'\n";
    }
    else
        cout << dirName << ": not a valid directory\n";
}
